> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Truy vấn trạng thái nhận hàng vật chất tại kho



## OpenAPI

````yaml /vi/openapi/fireant-v1.yaml get /mxv/physical-delivery/transactions
openapi: 3.1.0
info:
  version: v1
  title: FireAnt RESTFUL API
  description: Tài liệu đặc tả FireAnt RESTFUL API v1.0.0
servers:
  - url: https://api.fireant.vn
security: []
paths:
  /mxv/physical-delivery/transactions:
    get:
      tags:
        - MXV
      summary: Truy vấn trạng thái nhận hàng vật chất tại kho
      operationId: MXV_GetPhysicalTransactions
      parameters:
        - name: refConfirmationCode
          in: query
          required: false
          schema:
            type: string
        - name: refPairingCode
          in: query
          required: false
          schema:
            type: string
        - name: refRequestCode
          in: query
          required: false
          schema:
            type: string
        - name: refTransactionDate
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/FireAnt.Api.Models.MXV.MXVPhysicalTransactionStatus
            text/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/FireAnt.Api.Models.MXV.MXVPhysicalTransactionStatus
      security:
        - oauth2:
            - user-data-read
components:
  schemas:
    FireAnt.Api.Models.MXV.MXVPhysicalTransactionStatus:
      description: "Trạng thái nhận hàng vật chất tại kho - payload của API 3.4.6\r\nGET /api/v1/am/investors/physical-transaction"
      type: object
      properties:
        refTransactionDate:
          description: Ngày phát sinh yêu cầu giao nhận từ thành viên
          type: string
        refRequestCode:
          description: Mã yêu cầu giao nhận của TVKD
          type: string
        refConfirmationCode:
          description: Mã xác nhận yêu cầu giao nhận của MXV
          type: string
        side:
          description: 'Hướng: "1" = Nhận, "2" = Giao'
          type: string
        quantity:
          type: string
        contract:
          description: Mã hợp đồng
          type: string
        deliveryCode:
          description: Mã lưu ký hàng (deliveryCode)
          type: string
        pairingCode:
          description: Mã nhận hàng (pairingCode)
          type: string
        warehouse:
          type: string
        fromDate:
          type: string
        toDate:
          type: string
        approveDate:
          description: Ngày duyệt tại MXV
          type: string
        approveTxnum:
          description: Mã giao dịch tại MXV
          type: string
        requestStatus:
          description: "PENDING_SEND | REGISTERED | RECEIVED | CANCELLED |\r\nPENDING_CANCELLED | REJECTED | DESIGNATED |\r\nDESIGNATED_REJECTED | VIOLATED"
          type: string
        rejectReason:
          description: Lý do từ chối (null nếu trạng thái là Chờ Duyệt hoặc Hoàn Tất)
          type: string
        receivedByCCP:
          description: '"1" = CCP thực hiện, "0" = cá nhân thực hiện'
          type: string
        price:
          description: Mức giá bù trừ khi CCP thực hiện
          type: string
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          scopes:
            accounts-read: Đọc danh sách tài khoản giao dịch chứng khoán
            accounts-write: Liên kết tài khoản chứng khoán
            orders-read: Đọc danh sách lệnh giao dịch chứng khoán
            orders-write: Đặt, sửa, hủy lệnh giao dịch chứng khoán
            companies-read: Đọc thông tin doanh nghiệp
            companies-write: Tạo mới, cập nhật, xóa thông tin doanh nghiệp
            individuals-read: Đọc thông tin cá nhân
            individuals-write: Tạo mới, cập nhật, xóa thông tin cá nhân
            finance-read: Đọc thông tin tài chính
            finance-write: Tạo mới, cập nhật, xóa thông tin tài chính
            posts-write: Đăng bài viết
            posts-read: Lấy nội dung các bài viết của cộng đồng
            symbols-read: Đọc thông tin mã chứng khoán
            symbols-write: Tạo mới, cập nhật, xóa mã chứng khoán
            users-read: Đọc dữ liệu công khai của người dùng
            user-data-read: Đọc tất cả dữ liệu của người dùng hiện tại
            user-data-write: Cập nhật tất cả dữ liệu của người dùng hiện tại
            search: Tìm kiếm
            academy-read: Đọc dữ liệu các khóa học
            academy-write: Đăng ký khóa học
            blog-read: Đọc dữ liệu blog
            investopedia-read: Đọc dữ liệu thuật ngữ
            commodities-read: Đọc dữ liệu hàng hóa phái sinh
            all_claims: All
            roles: Role
          authorizationUrl: https://accounts.fireant.vn/connect/authorize
      description: OAuth2 Implicit Grant

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.